/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/

package HumanResMgmt.WorkAndPayment;

import java.math.BigDecimal;

/** 
 * @author TogetherSoft
 * @stereotype moment-interval */
public class PayPeriod {
    public void makePayPeriod() {
    }

    public void post() {
    }

    /**  */
    public void postPayrollPaidByCostCenter() {
    }

    public void postExpensesPaid() {
    }

    public BigDecimal calcTotalByCostCenter() {
        return new BigDecimal(0);
    }

    private int interval;

    /**
     * @supplierCardinality 0..1
     * @clientCardinality 0..1
     */
    private AccountingMgmt.Posting.Posting lnkUnnamed;
    private int postingStatus;
}


